clear all
set more off

/*
ssc install gtools, replace
ssc install schemepack, replace
*/

global PATH = ""

global DATA = "${PATH}/Data"
global ONET = "${DATA}/db21"
global CROSSWALK = "${DATA}/Crosswalk"
global EMP = "${DATA}/ONSemp"
global RQF = "${DATA}/RQFcodes"

global TEMP = "${PATH}/Temp"
global OUT = "${PATH}/Out"



cap prog drop makel
prog def makel
	pca $c
	predict main_axis, score
	rename main_axis $x
	egen m = min($x)
	egen M = max($x)
	replace $x = ($x-m)/(M-m)
	replace $x = round($x,0.001)
	drop m M
end 

cap prog drop makel1
prog def makel1
	gen $x = $c
	egen m = min($x)
	egen M = max($x)
	replace $x = ($x-m)/(M-m)
	replace $x = round($x,0.001)
	drop m M
end 


* read in O*NET data
do "$CODE/1_ONET.do"

* create crosswalk between US SOC - ISCO08 - UK SOC2010 and merges into O*NET
* creates "${DATA}/onet_processed.dta" at the UK SOC 2010 level
do "$CODE/2_Crosswalk.do"

* create measures used in paper and some comparators
do "$CODE/3_Measures.do"



