forval y=2004(1)2019 {
	clear
	import excel "${EMP}/nomis_`y'.xlsx", sheet("Data") cellrange(A12:G508)
	gen year=`y'
	gen soc2010  = real(word(A,1))
	ren A soc2010desc

	ren B empall
	gen empmales=real(D)
	gen empfemales=real(F)
	drop C D E F G

	replace empfemales = empall-empmales   if empfemales==.
	replace empmales   = empall-empfemales if empmales==.

	order year soc2010 soc2010desc empall empmales empfemales

	lab var year "Year"
	lab var soc2010 "Standard Occupational Classification 2010"
	lab var soc2010desc "SOC2010 text description"
	lab var empall "number of people in employment"
	lab var empmales "males in employment"
	lab var empfemales "females in employment"

	if `y'>2004 append using "${DATA}/emp.dta"
	drop if soc2010==.
	compress
	save "${DATA}/emp.dta",replace
}
contract soc2010 soc2010desc
drop _freq
save "${TEMP}/socdesc", replace

use "${DATA}/emp.dta", clear
	bys soc2010: egen emp2004 = sum(empall*(year==2004))
	collapse (sum) emp*, by(soc2010) fast
save "${TEMP}/empagg", replace



import excel "${CROSSWALK}/national_M2012_dl.xls", sheet("national_dl") firstrow clear
	gen SOCCode = trim(OCC_CODE)
	ren TOT_EMP emp
	keep SOCCode emp
	so SOCCode
sa "${TEMP}/USemp_by_soc.dta",replace

import excel "${CROSSWALK}/USISCO_SOC_Crosswalk_edited.xlsx", sheet("ISCO-08 to 2010 SOC") firstrow clear
	drop Comment81711 part
	ren ISCO08Code isco08
	ren ISCO08TitleEN isco08name
	replace SOCCode=trim(SOCCode)
sa "${TEMP}/ISCO_to_USSOC.dta",replace

import excel "${CROSSWALK}/UKsoc2010toISCO08_edited.xlsx", sheet("1to1s") firstrow clear
	ren ISCO08 isco08
	ren SOC2010UnitGroupTitles soc2010nameUK
	ren SOC2010 soc2010
	ren ISCO08UnitGroupTitles isco08nameUK
	mer m:1 soc2010 using "${TEMP}/socdesc"
	keep if _m==3
	drop _m
sa "${TEMP}/ISCO_to_UKSOC.dta",replace


use "${DATA}/onet_raw", clear
	
	gen SOCCode = substr(onetsoccode , 1, length(onetsoccode )-3)
	
	gcollapse (mean) wc_* ab* sk* wa* kn*, by(SOCCode )
save "${TEMP}/onet_v1", replace

u "${TEMP}/ISCO_to_USSOC.dta",clear
	so SOCCode
	mer m:1 SOCCode using "${TEMP}/USemp_by_soc.dta"
	keep if _m==3
	drop _m
	egen E=sum(emp),by(isco08)
	gen shr=emp/E
	gen occs=1

	so SOCCode
	merge m:1 SOCCode using "${TEMP}/onet_v1",keep(master match)
	drop _merge

	egen EMP=total(emp),by(isco08 isco08name)
	egen SHR=total(shr),by(isco08 isco08name)
	collapse (max) EMP SHR (mean) wa* wc* ab*  sk* kn* [aw=shr], by(isco08 isco08name)
	so isco08
sa "${TEMP}/isco08_ONET.dta",replace
	
u "${TEMP}/ISCO_to_UKSOC.dta",clear
	so isco08
	mer m:1 isco08 using "${TEMP}/isco08_ONET.dta"
	drop _m

	so isco08 soc2010

	drop if real(isco08)<1120

	drop if soc2010 == .

	drop isco08nameUK
	lab var EMP  "Number of employees (US 2012)"
	lab var SHR  "Share (should sum to 1)"
	compress
sa "${TEMP}/isco08_soc2010UK_ONET.dta",replace

u "${TEMP}/isco08_soc2010UK_ONET.dta",clear
	drop SHR
	egen E=sum(EMP),by(soc2010)
	gen shr=EMP/E
	egen SHR=total(shr),by(soc2010)
	collapse (max) EMP SHR (mean) wa* wc* ab*  sk* kn* [aw=shr], by(soc2010)
	mer m:1 soc2010 using "${TEMP}/socdesc",keep(match)
	drop _m
	drop EMP SHR

	compress
	rename soc2010 soc2010UK
sa "${TEMP}/onet_v2.dta", replace

clear
import excel "/Users/rachelg/Library/CloudStorage/Dropbox/InnovationLowWageGrowth/Replicate/Data/RQFcodes/rqf_soc.xlsx", sheet("RQFcodes") firstrow clear
ren SOC2010 soc2010
gen skill=1 if RQF=="low skill"
replace skill=2 if RQF=="RQF 3" | RQF=="RQF 4"
replace skill=3 if RQF=="RQF 6" | RQF=="PhD"
drop if RQF=="table6"
sa "${DATA}/rqf.dta",replace


use "${DATA}/emp.dta", clear
	rename soc2010 soc2010UK
	collapse (sum) empall empmales empfemales, by(soc2010UK)
	merge 1:1 soc2010UK using "${TEMP}/onet_v2", keep(3) nogen
	rename soc2010UK soc2010
	merge 1:1 soc2010 using "${DATA}/rqf.dta" , keep(3) nogen
	order _all, alpha
	order soc2010 soc2010desc empall empmales empfemales
sa "${DATA}/onet_processed.dta",replace
