
use "${DATA}/onet_processed.dta", clear


*	* drop because no obs in ASHE data
*	drop if soc2010UK==2435 | soc2010UK==2444 | soc2010UK==3415 | soc2010UK==3441 | soc2010UK==3442 | soc2010UK==9232
	
	global x = "Lprobsens"
	global c "abLV_1_A_1_b_3"
	makel1
	lab var $x "problem sensitivity"
	global V$x "${c}"

	global x = "Llisten"
	global c "skLV_2_A_1_b"
	makel1
	lab var $x "active listening"
	global V$x "${c}"

	global x = "Lsocskill"
	global c "skLV_2_B_1_a skLV_2_B_1_b"
	makel
	lab var $x "social skills"
	global V$x "${c}"

	global x = "Lteam"
	global c "wc_4_C_1_b_1_e"
	makel1
	lab var $x "team work"
	global V$x "${c}"

	global x = "Lcoordinate"
	global c "wc_4_C_1_b_1_g wc_4_C_1_c_2"
	makel
	lab var $x "coordinate and take responsibility"
	global V$x "${c}"

	global x = "Limpact"
	global c "wc_4_C_3_a_1 wc_4_C_3_a_2_a"
	makel
	lab var $x "conseq error and impact"
	global V$x "${c}"

	global x "L2"
	global c "$VLprobsens $VLlisten $VLsocskill $VLteam $VLcoordinate $VLimpact"
	makel
	lab var $x "L2"


	* our measure of cognitive ability

	global x = "abl_cognitive" 
	global c "abLV_1_A_1_b_7 abLV_1_A_1_b_4 abLV_1_A_1_b_1 abLV_1_A_1_b_5 abLV_1_A_1_c_1 abLV_1_A_1_c_2 abLV_1_A_1_b_6"
	makel
	lab var $x "Cognitive"

	*******************************************
	* Deming, 2017
	*******************************************
	global x = "Dsocskills"
	global c "skLV_2_B_1_a skLV_2_B_1_b skLV_2_B_1_c skLV_2_B_1_f"
	makel
	lab var $x "Social skills"

	global x = "Dnonran"
	global c "abLV_1_A_1_c_1 skLV_2_A_1_e knLV_2_C_4_a"
	makel
	lab var $x "Nonroutine analytical"

	global x = "Droutine"
	global c "wc_4_C_3_b_2 wc_4_C_3_b_7"
	makel
	lab var $x "Routine"

	global x = "Dservice"
	global c "skLV_2_B_1_f waLV_4_A_4_a_5"
	makel
	lab var $x "Service"

	global x = "Dreasoning"
	global c "abLV_1_A_1_a_2 abLV_1_A_1_b_4 abLV_1_A_1_b_5"
	makel
	lab var $x "Reasoning"

	global x = "Dnumbers"
	global c "abLV_1_A_1_c_2"
	makel1
	lab var $x "Numbers"

	global x = "Dinformation"
	global c "waLV_4_A_1_a_1 waLV_4_A_1_b_1 waLV_4_A_2_a_2 waLV_4_A_2_a_4"
	makel
	lab var $x "Information"

	global x = "Dsocinteraction"
	global c "wc_4_C_1_a_4"
	makel1
	lab var $x "Social interaction"

	global x = "Dcoordination"
	global c "skLV_2_B_1_b waLV_4_A_4_b_2"
	makel
	lab var $x "Coordination"

	global x = "Dinteract"
	global c "waLV_4_A_4_a_1 waLV_4_A_4_a_2 waLV_4_A_4_a_3 waLV_4_A_4_a_4"
	makel
	lab var $x "Interact"


	*******************************************
	* Hurst, Rubinstein and Shimizu, 2021
	*******************************************

	global x = "hrs_contact"
	global c "wc_4_C_1_a_4 wc_4_C_1_b_1_f"
	makel
	lab var $x "Contact task"

	*******************************************
	* measures of other job characteristics
	*******************************************
	* Acemoglu and Autor, 2011 

	global x = "aa_nonr_cog_an"
	global c "waIM_4_A_2_a_4 waIM_4_A_2_b_2 waIM_4_A_4_a_1 "
	makel
	lab var $x "Non-routine cognitive analytical"

	global x = "aa_nonr_cog_ip"
	global c "waIM_4_A_4_a_4 waIM_4_A_4_b_4 waIM_4_A_4_b_5 "
	makel
	lab var $x "Non-routine cognitive interpersonal"

	global x = "aa_r_cog"
	global c "wc_4_C_3_b_7 wc_4_C_3_b_4 wc_4_C_3_b_8 "
	makel
	lab var $x "Routine cognitive"

	global x = "aa_r_man"
	global c "wc_4_C_3_d_3 waIM_4_A_3_a_3 wc_4_C_2_d_1_i "
	makel
	lab var $x "Routine manual"

	global x = "aa_nonr_man_phy"
	global c "waIM_4_A_3_a_4 wc_4_C_2_d_1_g abIM_1_A_2_a_2 abIM_1_A_1_f_1"
	makel
	lab var $x "Non-routine manual physical"

	global x = "aa_offshore"
	global c "wc_4_C_1_a_2_l waIM_4_A_4_a_5 waIM_4_A_4_a_8 waIM_4_A_1_b_2 waIM_4_A_3_a_2 waIM_4_A_4_a_8 waIM_4_A_3_b_4 waIM_4_A_3_b_5 "
	makel
	lab var $x "Offshorability"


	* Fortin and Lemieux, 2016

	global x = "fl_offshore_info"
	global c "waIM_4_A_1_a_1 waIM_4_A_2_a_2 waIM_4_A_2_a_4 waIM_4_A_3_b_1 waIM_4_A_3_b_6"
	makel
	lab var $x "Offshorability information content"

	global x = "fl_offshore_rout"
	global c "wc_4_C_3_b_2 wc_4_C_3_b_7 wc_4_C_3_b_8 wc_4_C_3_d_3 wc_4_C_2_d_1_i"
	makel
	lab var $x "Offshorability automation/routine"

	global x = "fl_notoffshore_f2f"
	global c "wc_4_C_1_a_2_l waIM_4_A_4_a_4 waIM_4_A_4_a_5 waIM_4_A_4_a_8 waIM_4_A_4_b_5"
	makel
	lab var $x "Not offshorable face-to-face"

	global x = "fl_notoffshore_onsite"
	global c "waIM_4_A_1_b_2 waIM_4_A_3_a_2 waIM_4_A_3_a_3 waIM_4_A_3_a_4 waIM_4_A_3_b_4 waIM_4_A_3_b_5"
	makel
	lab var $x "Not offshorable on-site job"

	global x = "fl_notoffshore_decision"
	global c "waIM_4_A_2_b_1 waIM_4_A_2_b_2 waIM_4_A_2_b_4 wc_4_C_1_c_2 wc_4_C_3_a_2_b"
	makel
	lab var $x "Not offshorable decision making"

	* Cortes, Jaimovich, Siu, 2020

	global x = "cjs_cognitive"
	global c "abIM_1_A_1_f_1 skIM_2_A_1_e knIM_2_C_4_a skLV_2_B_5_b skLV_2_B_5_c skLV_2_B_5_d  "
	makel
	lab var $x "Cognitive tasks"

	global x = "cjs_social"
	global c "skLV_2_B_1_a skLV_2_B_1_b skLV_2_B_1_c skLV_2_B_1_d"
	makel
	lab var $x "Social tasks"

	global x = "cjs_routine"
	global c "wc_4_C_3_b_2 wc_4_C_3_b_7"
	makel
	lab var $x "Routine tasks"

	global x = "cjs_manual"
	global c "abLV_1_A_2_b_2 abLV_1_A_3_c_3"
	makel
	lab var $x "Manual tasks"
	
	


*******************************************
* make terciles 
*******************************************

drop emp* 
so soc2010
mer 1:1 soc2010 using "${TEMP}/empagg.dta",keep(match)
drop _m

global Lfulllist "L2 Lprobsens Llisten Lsocskill Lteam Lcoordinate Limpact"
global Lfulllist3g "L2_3g Lprobsens_3g Llisten_3g Lsocskill_3g Lteam_3g Lcoordinate_3g Limpact_3g"
global Lfulllist3gsk1 "L2_3g_sk1 Lprobsens_3g_sk1 Llisten_3g_sk1 Lsocskill_3g_sk1 Lteam_3g_sk1 Lcoordinate_3g_sk1 Limpact_3g_sk1"
	
egen X=total(empall),by(skill)
foreach v in $Lfulllist abl_cognitive {
	** terciles
	so skill `v' 
	qui by skill: gen T=sum(empall)
	* identify cut off points for terciles
	gen temp1 = `v' if T<X/3
	egen cut1`v'=max(temp1),by(skill)
	gen temp2 = `v' if T>=X/3 & T<2*(X/3)
	egen cut2`v'=max(temp2),by(skill)
	gen     `v'_3g = 1 if `v'<cut1`v'
	replace `v'_3g = 2 if `v'>=cut1`v' & `v'<cut2`v'
	replace `v'_3g = 3 if `v'>=cut2`v'

	lab def `v'_3g 1 "low" 2 "med" 3 "high"
	lab val `v'_3g `v'_3g
	lab var `v'_3g "Terciles (within skill)"
	drop temp1 temp2 T
	
	* terciles for all soc using skill=1 cuts
	gen temp1 = cut1`v' if skill==1
	egen cut1`v'_sk1 = max(temp1)
	gen temp2 = cut2`v' if skill==1
	egen cut2`v'_sk1 = max(temp2)
	gen     `v'_3g_sk1 = 1 if `v'<cut1`v'_sk1
	replace `v'_3g_sk1 = 2 if `v'>=cut1`v'_sk1 & `v'<cut2`v'_sk1
	replace `v'_3g_sk1 = 3 if `v'>=cut2`v'_sk1

	lab val `v'_3g_sk1 `v'_3g
	lab var `v'_3g_sk1 "Terciles (using skill=1 cut)"
	drop temp1 temp2 
	
}

lab def skill 1 "low" 2 "med" 3 "high"
lab val skill skill

drop cut*  X
	order _all, alpha
	order soc2010 soc2010desc empall empmales empfemales

compress
save "${DATA}/ONETvars.dta",replace

